igeo.io

## Class IRhino3dm.Properties

- java.lang.Object
- - igeo.io.IRhino3dm.Properties

- Enclosing class:
    IRhino3dm

      public static class IRhino3dm.Properties
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte[]` | `application`
    `byte[]` | `compressedPreviewImage`
    `byte[]` | `notes`
    `int` | `openNurbsVersion`
    `byte[]` | `previewImage`
    `byte[]` | `revisionHistory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Properties()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setApplication(IRhino3dm.Chunk c)`
    `void` | `setCompressedPreviewImage(IRhino3dm.Chunk c)`
    `void` | `setNotes(IRhino3dm.Chunk c)`
    `void` | `setOpenNurbsVersion(IRhino3dm.Chunk c)`
    `void` | `setPreviewImage(IRhino3dm.Chunk c)`
    `void` | `setRevisionHistory(IRhino3dm.Chunk c)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### openNurbsVersion

          public int openNurbsVersion

    - #### notes

          public byte[] notes

    - #### previewImage

          public byte[] previewImage

    - #### application

          public byte[] application

    - #### compressedPreviewImage

          public byte[] compressedPreviewImage

    - #### revisionHistory

          public byte[] revisionHistory

  - ### Constructor Detail

    - #### Properties

          public Properties()

  - ### Method Detail

    - #### setOpenNurbsVersion

          public void setOpenNurbsVersion(IRhino3dm.Chunk c)

    - #### setNotes

          public void setNotes(IRhino3dm.Chunk c)

    - #### setPreviewImage

          public void setPreviewImage(IRhino3dm.Chunk c)

    - #### setApplication

          public void setApplication(IRhino3dm.Chunk c)

    - #### setCompressedPreviewImage

          public void setCompressedPreviewImage(IRhino3dm.Chunk c)

    - #### setRevisionHistory

          public void setRevisionHistory(IRhino3dm.Chunk c)